# Uses of Interface
java.lang.classfile.AnnotationValue.OfShort

Packages that use AnnotationValue.OfShort
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

## Uses of AnnotationValue.OfShort in java.lang.classfile

Methods in java.lang.classfile that return AnnotationValue.OfShort
Modifier and Type
Method
Description
`static AnnotationValue.OfShort`
AnnotationValue.`ofShort(short value)`
Returns a short value for an element-value pair.
`static AnnotationValue.OfShort`
AnnotationValue.`ofShort(IntegerEntry value)`
Returns a short value for an element-value pair.